#!/bin/bash
num="$1"
#récupération de l'image Openstack Debian 11 au format qcow2
cd /var/lib/vz/template/qemu/
export http_proxy=http://10.121.38.1:8080
export https_proxy=http://10.121.38.1:8080
wget --no-check-certificate  https://cloud.debian.org/images/cloud/bullseye/latest/debian-11-genericcloud-amd64.qcow2
#Création de la VM a partir de l'image
qm create "${num}" --memory 1024 --net0 virtio,bridge=vmbr0
qm importdisk "${num}" /var/lib/vz/template/qemu/debian-11-generic-amd64.qcow2 local-lvm
#Paramètrage de la machine
qm set "${num}" --scsihw virtio-scsi-pci --scsi0 local-lvm:vm-"${num}"-disk-0 # on associe le disque scsi0 au LV vm-9000-disk-0
qm set "${num}" --boot c --bootdisk scsi0 # on définit le disque scsi0 comme disque de démarrage
qm set "${num}" --ide2 local-lvm:cloudinit # on joint le volume CDROM cloudinit utilisé pour le démarrage
qm set "${num}" --serial0 socket --vga serial0 # on définit une console série qu'on utilise comme affichage
qm template "${num}"  # on définit la VM 9000 comme template
